package de.marcschumacher.jgrli.result;

import de.marcschumacher.jgrli.enums.JgrliErrorCode;

/**
 * Java Growl Library - Error result
 * 
 * @author Marc Schumacher
 * 
 */
public class JgrliErrorResult extends JgrliResult {

	private final String errorMessage;

	public JgrliErrorResult(JgrliErrorCode code, String errorMessage) {
		super(code);
		this.errorMessage = errorMessage;
	}

	public final String getErrorMessage() {
		return this.errorMessage;
	}
}
